PIDOF(8)

NAME
pidof -- find the process ID of a running program.

SYNOPSIS
pidof [-s] [-x] [-o omitpid] [-o omitpid..] program [program..]

DESCRIPTION
Pidof finds the process id's (pids) of the named programs. It prints those id's on the standard output. This program is typically used in run-level change scripts, especially when the system has a System-V like rc structure. In that case these scripts are located in /etc/rc?.d, where ? is the runlevel.

OPTIONS

-s  Single shot - this instructs the program to only return one pid.

-x  Scripts too - this causes the program to also return process id's of shells running the named scripts.

-o  Tells pidof to omit processes with that process id. The special pid %PPID can be used to name the parent process of the pidof program, in other words the calling shell or shell script.

NOTES
pidof is simply a (symbolic) link to the killall5 program, which should also be located in /sbin.

SEE ALSO
shutdown(8), init(8), halt(8), reboot(8)

AUTHOR
Miquel van Smoorenburg, miquels@cistron.nl